diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 8b136ee..0ecf180 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -73654,6 +73654,27 @@ Product (A:SetCategory,B:SetCategory) : C == T
 \pagepic{ps/v103quadraticform.ps}{QFORM}{1.00}
 {\bf See}\\
 \pageto{CliffordAlgebra}{CLIF}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{QFORM}{0} &
+\cross{QFORM}{coerce} &
+\cross{QFORM}{hash} &
+\cross{QFORM}{latex} &
+\cross{QFORM}{matrix} \\
+\cross{QFORM}{quadraticForm} &
+\cross{QFORM}{sample} &
+\cross{QFORM}{subtractIfCan} &
+\cross{QFORM}{zero?} &
+\cross{QFORM}{?\~{}=?} \\
+\cross{QFORM}{?*?} &
+\cross{QFORM}{?.?} &
+\cross{QFORM}{?+?} &
+\cross{QFORM}{?-?} &
+\cross{QFORM}{-?} \\
+\cross{QFORM}{?=?} &&&&
+\end{tabular}
+
 <<domain QFORM QuadraticForm>>=
 )abbrev domain QFORM QuadraticForm
 ++ Author: Stephen M. Watt
@@ -73706,6 +73727,25 @@ QuadraticForm(n, K): T == Impl where
 \section{domain QALGSET QuasiAlgebraicSet}
 \pagehead{QuasiAlgebraicSet}{QALGSET}
 \pagepic{ps/v103quasialgebraicset.ps}{QALGSET}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{QALGSET}{coerce} &
+\cross{QALGSET}{definingEquations} &
+\cross{QALGSET}{definingInequation} &
+\cross{QALGSET}{empty} \\
+\cross{QALGSET}{empty?} &
+\cross{QALGSET}{hash} &
+\cross{QALGSET}{idealSimplify} &
+\cross{QALGSET}{latex} \\
+\cross{QALGSET}{quasiAlgebraicSet} &
+\cross{QALGSET}{setStatus} &
+\cross{QALGSET}{simplify} &
+\cross{QALGSET}{status} \\
+\cross{QALGSET}{?=?} &
+\cross{QALGSET}{?\~{}=?} &&
+\end{tabular}
+
 <<domain QALGSET QuasiAlgebraicSet>>=
 )abbrev domain QALGSET QuasiAlgebraicSet
 ++ Author:  William Sit
@@ -74140,6 +74180,58 @@ o )show Quaternion
 @
 \pagehead{Quaternion}{QUAT}
 \pagepic{ps/v103quaternion.ps}{QUAT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{QUAT}{0} &
+\cross{QUAT}{1} &
+\cross{QUAT}{abs} &
+\cross{QUAT}{characteristic} &
+\cross{QUAT}{charthRoot} \\
+\cross{QUAT}{coerce} &
+\cross{QUAT}{conjugate} &
+\cross{QUAT}{convert} &
+\cross{QUAT}{D} &
+\cross{QUAT}{differentiate} \\
+\cross{QUAT}{eval} &
+\cross{QUAT}{hash} &
+\cross{QUAT}{imagI} &
+\cross{QUAT}{imagJ} &
+\cross{QUAT}{imagK} \\
+\cross{QUAT}{inv} &
+\cross{QUAT}{latex} &
+\cross{QUAT}{map} &
+\cross{QUAT}{max} &
+\cross{QUAT}{min} \\
+\cross{QUAT}{norm} &
+\cross{QUAT}{one?} &
+\cross{QUAT}{quatern} &
+\cross{QUAT}{rational} &
+\cross{QUAT}{rational?} \\
+\cross{QUAT}{rationalIfCan} &
+\cross{QUAT}{real} &
+\cross{QUAT}{recip} &
+\cross{QUAT}{reducedSystem} &
+\cross{QUAT}{retract} \\
+\cross{QUAT}{retractIfCan} &
+\cross{QUAT}{sample} &
+\cross{QUAT}{subtractIfCan} &
+\cross{QUAT}{zero?} &
+\cross{QUAT}{?*?} \\
+\cross{QUAT}{?**?} &
+\cross{QUAT}{?+?} &
+\cross{QUAT}{?-?} &
+\cross{QUAT}{-?} &
+\cross{QUAT}{?=?} \\
+\cross{QUAT}{?\^{}?} &
+\cross{QUAT}{?\~{}=?} &
+\cross{QUAT}{?$<$?} &
+\cross{QUAT}{?$<=$?} &
+\cross{QUAT}{?$>$?} \\
+\cross{QUAT}{?$>=$?} &
+\cross{QUAT}{?.?} &&&
+\end{tabular}
+
 <<domain QUAT Quaternion>>=
 )abbrev domain QUAT Quaternion
 ++ Author: Robert S. Sutor
@@ -74194,6 +74286,15 @@ Quaternion(R:CommutativeRing): QuaternionCategory(R) == add
 \pageto{DataList}{DLIST}
 \pageto{IndexCard}{ICARD}
 \pageto{Database}{DBASE}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{QEQUAT}{coerce} &
+\cross{QEQUAT}{equation} &
+\cross{QEQUAT}{value} &
+\cross{QEQUAT}{variable} 
+\end{tabular}
+
 <<domain QEQUAT QueryEquation>>=
 )abbrev domain QEQUAT QueryEquation
 ++ This domain implements simple database queries 
@@ -74228,6 +74329,45 @@ QueryEquation(): Exports == Implementation where
 \pageto{ArrayStack}{ASTACK}
 \pageto{Dequeue}{DEQUEUE}
 \pageto{Heap}{HEAP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{QUEUE}{any?} &
+\cross{QUEUE}{back} &
+\cross{QUEUE}{bag} &
+\cross{QUEUE}{coerce} &
+\cross{QUEUE}{copy} \\
+\cross{QUEUE}{count} &
+\cross{QUEUE}{dequeue!} &
+\cross{QUEUE}{empty} &
+\cross{QUEUE}{empty?} &
+\cross{QUEUE}{enqueue!} \\
+\cross{QUEUE}{eq?} &
+\cross{QUEUE}{eval} &
+\cross{QUEUE}{every?} &
+\cross{QUEUE}{extract!} &
+\cross{QUEUE}{front} \\
+\cross{QUEUE}{hash} &
+\cross{QUEUE}{insert!} &
+\cross{QUEUE}{inspect} &
+\cross{QUEUE}{latex} &
+\cross{QUEUE}{length} \\
+\cross{QUEUE}{less?} &
+\cross{QUEUE}{map} &
+\cross{QUEUE}{map!} &
+\cross{QUEUE}{member?} &
+\cross{QUEUE}{members} \\
+\cross{QUEUE}{more?} &
+\cross{QUEUE}{parts} &
+\cross{QUEUE}{queue} &
+\cross{QUEUE}{rotate!} &
+\cross{QUEUE}{sample} \\
+\cross{QUEUE}{size?} &
+\cross{QUEUE}{\#{}?} &
+\cross{QUEUE}{?=?} &
+\cross{QUEUE}{?\~{}=?} &
+\end{tabular}
+
 <<domain QUEUE Queue>>=
 )abbrev domain QUEUE Queue
 ++ Author: Michael Monagan and Stephen Watt
@@ -74290,6 +74430,125 @@ Queue(S:SetCategory): QueueAggregate S with
 \pagepic{ps/v103radicalfunctionfield.ps}{RADFF}{1.00}
 {\bf See}\\
 \pageto{AlgebraicFunctionField}{ALGFF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{RADFF}{0} &
+\cross{RADFF}{1} &
+\cross{RADFF}{absolutelyIrreducible?} \\
+\cross{RADFF}{algSplitSimple} &
+\cross{RADFF}{associates?} &
+\cross{RADFF}{basis} \\
+\cross{RADFF}{branchPoint?} &
+\cross{RADFF}{branchPointAtInfinity?} &
+\cross{RADFF}{characteristic} \\
+\cross{RADFF}{characteristicPolynomial} &
+\cross{RADFF}{charthRoot} &
+\cross{RADFF}{coerce} \\
+\cross{RADFF}{complementaryBasis} &
+\cross{RADFF}{conditionP} &
+\cross{RADFF}{convert} \\
+\cross{RADFF}{coordinates} &
+\cross{RADFF}{createPrimitiveElement} &
+\cross{RADFF}{D} \\
+\cross{RADFF}{derivationCoordinates} &
+\cross{RADFF}{definingPolynomial} &
+\cross{RADFF}{differentiate} \\
+\cross{RADFF}{discreteLog} &
+\cross{RADFF}{discriminant} &
+\cross{RADFF}{divide} \\
+\cross{RADFF}{elliptic} &
+\cross{RADFF}{elt} &
+\cross{RADFF}{euclideanSize} \\
+\cross{RADFF}{expressIdealMember} &
+\cross{RADFF}{exquo} &
+\cross{RADFF}{extendedEuclidean} \\
+\cross{RADFF}{factor} &
+\cross{RADFF}{factorsOfCyclicGroupSize} &
+\cross{RADFF}{gcd} \\
+\cross{RADFF}{gcdPolynomial} &
+\cross{RADFF}{generator} &
+\cross{RADFF}{genus} \\
+\cross{RADFF}{hash} &
+\cross{RADFF}{hyperelliptic} &
+\cross{RADFF}{index} \\
+\cross{RADFF}{init} &
+\cross{RADFF}{integral?} &
+\cross{RADFF}{integralAtInfinity?} \\
+\cross{RADFF}{integralBasis} &
+\cross{RADFF}{integralBasisAtInfinity} &
+\cross{RADFF}{integralCoordinates} \\
+\cross{RADFF}{integralDerivationMatrix} &
+\cross{RADFF}{integralMatrix} &
+\cross{RADFF}{integralMatrixAtInfinity} \\
+\cross{RADFF}{integralRepresents} &
+\cross{RADFF}{inv} &
+\cross{RADFF}{inverseIntegralMatrix} \\
+\cross{RADFF}{inverseIntegralMatrixAtInfinity} &
+\cross{RADFF}{latex} &
+\cross{RADFF}{lcm} \\
+\cross{RADFF}{lift} &
+\cross{RADFF}{lookup} &
+\cross{RADFF}{minimalPolynomial} \\
+\cross{RADFF}{multiEuclidean} &
+\cross{RADFF}{nextItem} &
+\cross{RADFF}{nonSingularModel} \\
+\cross{RADFF}{norm} &
+\cross{RADFF}{normalizeAtInfinity} &
+\cross{RADFF}{numberOfComponents} \\
+\cross{RADFF}{one?} &
+\cross{RADFF}{order} &
+\cross{RADFF}{prime?} \\
+\cross{RADFF}{primeFrobenius} &
+\cross{RADFF}{primitive?} &
+\cross{RADFF}{primitiveElement} \\
+\cross{RADFF}{primitivePart} &
+\cross{RADFF}{principalIdeal} &
+\cross{RADFF}{ramified?} \\
+\cross{RADFF}{ramifiedAtInfinity?} &
+\cross{RADFF}{random} &
+\cross{RADFF}{rank} \\
+\cross{RADFF}{rationalPoint?} &
+\cross{RADFF}{rationalPoints} &
+\cross{RADFF}{recip} \\
+\cross{RADFF}{reduce} &
+\cross{RADFF}{reduce} &
+\cross{RADFF}{reduceBasisAtInfinity} \\
+\cross{RADFF}{reducedSystem} &
+\cross{RADFF}{regularRepresentation} &
+\cross{RADFF}{representationType} \\
+\cross{RADFF}{represents} &
+\cross{RADFF}{retract} &
+\cross{RADFF}{retractIfCan} \\
+\cross{RADFF}{sample} &
+\cross{RADFF}{singular?} &
+\cross{RADFF}{singularAtInfinity?} \\
+\cross{RADFF}{size} &
+\cross{RADFF}{sizeLess?} &
+\cross{RADFF}{squareFree} \\
+\cross{RADFF}{squareFreePart} &
+\cross{RADFF}{subtractIfCan} &
+\cross{RADFF}{tableForDiscreteLogarithm} \\
+\cross{RADFF}{trace} &
+\cross{RADFF}{traceMatrix} &
+\cross{RADFF}{unit?} \\
+\cross{RADFF}{unitCanonical} &
+\cross{RADFF}{unitNormal} &
+\cross{RADFF}{yCoordinates} \\
+\cross{RADFF}{zero?} &
+\cross{RADFF}{?*?} &
+\cross{RADFF}{?**?} \\
+\cross{RADFF}{?+?} &
+\cross{RADFF}{?-?} &
+\cross{RADFF}{-?} \\
+\cross{RADFF}{?=?} &
+\cross{RADFF}{?\^{}?} &
+\cross{RADFF}{?\~{}=?} \\
+\cross{RADFF}{?/?} &
+\cross{RADFF}{?quo?} &
+\cross{RADFF}{?rem?} 
+\end{tabular}
+
 <<domain RADFF RadicalFunctionField>>=
 )abbrev domain RADFF RadicalFunctionField
 ++ Function field defined by y**n = f(x)
@@ -74783,6 +75042,96 @@ o )show RadixExpansion
 \pageto{BinaryExpansion}{BINARY}
 \pageto{DecimalExpansion}{DECIMAL}
 \pageto{HexadecimalExpansion}{HEXADEC}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{RADIX}{0} &
+\cross{RADIX}{1} &
+\cross{RADIX}{abs} \\
+\cross{RADIX}{associates?} &
+\cross{RADIX}{ceiling} &
+\cross{RADIX}{characteristic} \\
+\cross{RADIX}{charthRoot} &
+\cross{RADIX}{coerce} &
+\cross{RADIX}{conditionP} \\
+\cross{RADIX}{convert} &
+\cross{RADIX}{cycleRagits} &
+\cross{RADIX}{D} \\
+\cross{RADIX}{denom} &
+\cross{RADIX}{denominator} &
+\cross{RADIX}{differentiate} \\
+\cross{RADIX}{divide} &
+\cross{RADIX}{euclideanSize} &
+\cross{RADIX}{eval} \\
+\cross{RADIX}{expressIdealMember} &
+\cross{RADIX}{exquo} &
+\cross{RADIX}{extendedEuclidean} \\
+\cross{RADIX}{factor} &
+\cross{RADIX}{factorPolynomial} &
+\cross{RADIX}{factorSquareFreePolynomial} \\
+\cross{RADIX}{floor} &
+\cross{RADIX}{fractRadix} &
+\cross{RADIX}{fractRagits} \\
+\cross{RADIX}{fractionPart} &
+\cross{RADIX}{gcd} &
+\cross{RADIX}{gcdPolynomial} \\
+\cross{RADIX}{hash} &
+\cross{RADIX}{init} &
+\cross{RADIX}{inv} \\
+\cross{RADIX}{latex} &
+\cross{RADIX}{lcm} &
+\cross{RADIX}{map} \\
+\cross{RADIX}{max} &
+\cross{RADIX}{min} &
+\cross{RADIX}{multiEuclidean} \\
+\cross{RADIX}{negative?} &
+\cross{RADIX}{nextItem} &
+\cross{RADIX}{numer} \\
+\cross{RADIX}{numerator} &
+\cross{RADIX}{one?} &
+\cross{RADIX}{patternMatch} \\
+\cross{RADIX}{positive?} &
+\cross{RADIX}{prefixRagits} &
+\cross{RADIX}{prime?} \\
+\cross{RADIX}{principalIdeal} &
+\cross{RADIX}{random} &
+\cross{RADIX}{recip} \\
+\cross{RADIX}{reducedSystem} &
+\cross{RADIX}{retract} &
+\cross{RADIX}{retractIfCan} \\
+\cross{RADIX}{sample} &
+\cross{RADIX}{sign} &
+\cross{RADIX}{sizeLess?} \\
+\cross{RADIX}{solveLinearPolynomialEquation} &
+\cross{RADIX}{squareFree} &
+\cross{RADIX}{squareFreePart} \\
+\cross{RADIX}{squareFreePolynomial} &
+\cross{RADIX}{subtractIfCan} &
+\cross{RADIX}{unit?} \\
+\cross{RADIX}{unitCanonical} &
+\cross{RADIX}{unitNormal} &
+\cross{RADIX}{wholePart} \\
+\cross{RADIX}{wholeRadix} &
+\cross{RADIX}{wholeRagits} &
+\cross{RADIX}{zero?} \\
+\cross{RADIX}{?.?} &
+\cross{RADIX}{?*?} &
+\cross{RADIX}{?**?} \\
+\cross{RADIX}{?+?} &
+\cross{RADIX}{?-?} &
+\cross{RADIX}{-?} \\
+\cross{RADIX}{?/?} &
+\cross{RADIX}{?=?} &
+\cross{RADIX}{?\^{}?} \\
+\cross{RADIX}{?\~{}=?} &
+\cross{RADIX}{?$<$?} &
+\cross{RADIX}{?$<=$?} \\
+\cross{RADIX}{?$>$?} &
+\cross{RADIX}{?$>=$?} &
+\cross{RADIX}{?quo?} \\
+\cross{RADIX}{?rem?} &&
+\end{tabular}
+
 <<domain RADIX RadixExpansion>>=
 )abbrev domain RADIX RadixExpansion
 ++ Author: Stephen M. Watt
@@ -76266,6 +76615,78 @@ o )show RealClosure
 \pagepic{ps/v103realclosure.ps}{RECLOS}{1.00}
 {\bf See}\\
 \pageto{RightOpenIntervalRootCharacterization}{ROIRC}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{RECLOS}{0} &
+\cross{RECLOS}{1} &
+\cross{RECLOS}{abs} &
+\cross{RECLOS}{algebraicOf} \\
+\cross{RECLOS}{allRootsOf} &
+\cross{RECLOS}{approximate} &
+\cross{RECLOS}{associates?} &
+\cross{RECLOS}{characteristic} \\
+\cross{RECLOS}{coerce} &
+\cross{RECLOS}{divide} &
+\cross{RECLOS}{euclideanSize} &
+\cross{RECLOS}{expressIdealMember} \\
+\cross{RECLOS}{exquo} &
+\cross{RECLOS}{extendedEuclidean} &
+\cross{RECLOS}{factor} &
+\cross{RECLOS}{gcd} \\
+\cross{RECLOS}{gcdPolynomial} &
+\cross{RECLOS}{hash} &
+\cross{RECLOS}{inv} &
+\cross{RECLOS}{latex} \\
+\cross{RECLOS}{lcm} &
+\cross{RECLOS}{mainCharacterization} &
+\cross{RECLOS}{mainDefiningPolynomial} &
+\cross{RECLOS}{mainForm} \\
+\cross{RECLOS}{mainValue} &
+\cross{RECLOS}{max} &
+\cross{RECLOS}{multiEuclidean} &
+\cross{RECLOS}{min} \\
+\cross{RECLOS}{negative?} &
+\cross{RECLOS}{nthRoot} &
+\cross{RECLOS}{one?} &
+\cross{RECLOS}{positive?} \\
+\cross{RECLOS}{prime?} &
+\cross{RECLOS}{principalIdeal} &
+\cross{RECLOS}{recip} &
+\cross{RECLOS}{relativeApprox} \\
+\cross{RECLOS}{rename} &
+\cross{RECLOS}{rename!} &
+\cross{RECLOS}{retract} &
+\cross{RECLOS}{retractIfCan} \\
+\cross{RECLOS}{rootOf} &
+\cross{RECLOS}{sample} &
+\cross{RECLOS}{sign} &
+\cross{RECLOS}{sizeLess?} \\
+\cross{RECLOS}{sqrt} &
+\cross{RECLOS}{squareFree} &
+\cross{RECLOS}{squareFreePart} &
+\cross{RECLOS}{subtractIfCan} \\
+\cross{RECLOS}{unit?} &
+\cross{RECLOS}{unitCanonical} &
+\cross{RECLOS}{unitNormal} &
+\cross{RECLOS}{zero?} \\
+\cross{RECLOS}{?*?} &
+\cross{RECLOS}{?**?} &
+\cross{RECLOS}{?+?} &
+\cross{RECLOS}{?-?} \\
+\cross{RECLOS}{-?} &
+\cross{RECLOS}{?/?} &
+\cross{RECLOS}{?$<$?} &
+\cross{RECLOS}{?$<=$?} \\
+\cross{RECLOS}{?=?} &
+\cross{RECLOS}{?$>$?} &
+\cross{RECLOS}{?$>=$?} &
+\cross{RECLOS}{?\^{}?} \\
+\cross{RECLOS}{?\~{}=?} &
+\cross{RECLOS}{?quo?} &
+\cross{RECLOS}{?rem?} &
+\end{tabular}
+
 <<domain RECLOS RealClosure>>=
 )abbrev domain RECLOS RealClosure
 ++ Author: Renaud Rioboo
@@ -76592,6 +77013,66 @@ RealClosure(TheField): PUB == PRIV where
 \pageto{IndexedMatrix}{IMATRIX}
 \pageto{Matrix}{MATRIX}
 \pageto{SquareMatrix}{SQMATRIX}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{RMATRIX}{0} &
+\cross{RMATRIX}{antisymmetric?} &
+\cross{RMATRIX}{any?} &
+\cross{RMATRIX}{coerce} &
+\cross{RMATRIX}{column} \\
+\cross{RMATRIX}{convert} &
+\cross{RMATRIX}{copy} &
+\cross{RMATRIX}{count} &
+\cross{RMATRIX}{diagonal?} &
+\cross{RMATRIX}{dimension} \\
+\cross{RMATRIX}{elt} &
+\cross{RMATRIX}{empty} &
+\cross{RMATRIX}{empty?} &
+\cross{RMATRIX}{eq?} &
+\cross{RMATRIX}{eval} \\
+\cross{RMATRIX}{every?} &
+\cross{RMATRIX}{exquo} &
+\cross{RMATRIX}{hash} &
+\cross{RMATRIX}{latex} &
+\cross{RMATRIX}{less?} \\
+\cross{RMATRIX}{listOfLists} &
+\cross{RMATRIX}{map} &
+\cross{RMATRIX}{map!} &
+\cross{RMATRIX}{matrix} &
+\cross{RMATRIX}{maxColIndex} \\
+\cross{RMATRIX}{maxRowIndex} &
+\cross{RMATRIX}{member?} &
+\cross{RMATRIX}{members} &
+\cross{RMATRIX}{minColIndex} &
+\cross{RMATRIX}{minRowIndex} \\
+\cross{RMATRIX}{more?} &
+\cross{RMATRIX}{ncols} &
+\cross{RMATRIX}{nrows} &
+\cross{RMATRIX}{nullSpace} &
+\cross{RMATRIX}{nullity} \\
+\cross{RMATRIX}{parts} &
+\cross{RMATRIX}{qelt} &
+\cross{RMATRIX}{rank} &
+\cross{RMATRIX}{rectangularMatrix} &
+\cross{RMATRIX}{row} \\
+\cross{RMATRIX}{rowEchelon} &
+\cross{RMATRIX}{sample} &
+\cross{RMATRIX}{size?} &
+\cross{RMATRIX}{square?} &
+\cross{RMATRIX}{subtractIfCan} \\
+\cross{RMATRIX}{symmetric?} &
+\cross{RMATRIX}{zero?} &
+\cross{RMATRIX}{\#{}?} &
+\cross{RMATRIX}{?\~{}=?} &
+\cross{RMATRIX}{?*?} \\
+\cross{RMATRIX}{?/?} &
+\cross{RMATRIX}{?+?} &
+\cross{RMATRIX}{?-?} &
+\cross{RMATRIX}{-?} &
+\cross{RMATRIX}{?=?} 
+\end{tabular}
+
 <<domain RMATRIX RectangularMatrix>>=
 )abbrev domain RMATRIX RectangularMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
@@ -76695,6 +77176,21 @@ RectangularMatrix(m,n,R): Exports == Implementation where
 \pageto{Boolean}{BOOLEAN}
 \pageto{IndexedBits}{IBITS}
 \pageto{Bits}{BITS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{REF}{coerce} &
+\cross{REF}{deref} &
+\cross{REF}{elt} &
+\cross{REF}{hash} &
+\cross{REF}{latex} \\
+\cross{REF}{ref} &
+\cross{REF}{setelt} &
+\cross{REF}{setref} &
+\cross{REF}{?=?} &
+\cross{REF}{?\~{}=?} 
+\end{tabular}
+
 <<domain REF Reference>>=
 )abbrev domain REF Reference
 ++ Author: Stephen M. Watt
@@ -76751,6 +77247,102 @@ Reference(S:Type): Type with
 \section{domain RGCHAIN RegularChain}
 \pagehead{RegularChain}{RGCHAIN}
 \pagepic{ps/v103regularchain.ps}{RGCHAIN}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{RGCHAIN}{algebraic?} &
+\cross{RGCHAIN}{algebraicCoefficients?} \\
+\cross{RGCHAIN}{algebraicVariables} &
+\cross{RGCHAIN}{any?} \\
+\cross{RGCHAIN}{augment} &
+\cross{RGCHAIN}{autoReduced?} \\
+\cross{RGCHAIN}{basicSet} &
+\cross{RGCHAIN}{coHeight} \\
+\cross{RGCHAIN}{coerce} &
+\cross{RGCHAIN}{collect} \\
+\cross{RGCHAIN}{collectQuasiMonic} &
+\cross{RGCHAIN}{collectUnder} \\
+\cross{RGCHAIN}{collectUpper} &
+\cross{RGCHAIN}{construct} \\
+\cross{RGCHAIN}{convert} &
+\cross{RGCHAIN}{copy} \\
+\cross{RGCHAIN}{count} &
+\cross{RGCHAIN}{degree} \\
+\cross{RGCHAIN}{empty} &
+\cross{RGCHAIN}{empty?} \\
+\cross{RGCHAIN}{eq?} &
+\cross{RGCHAIN}{eval} \\
+\cross{RGCHAIN}{every?} &
+\cross{RGCHAIN}{extend} \\
+\cross{RGCHAIN}{extendIfCan} &
+\cross{RGCHAIN}{find} \\
+\cross{RGCHAIN}{first} &
+\cross{RGCHAIN}{hash} \\
+\cross{RGCHAIN}{headReduce} &
+\cross{RGCHAIN}{headReduced?} \\
+\cross{RGCHAIN}{headRemainder} &
+\cross{RGCHAIN}{infRittWu?} \\
+\cross{RGCHAIN}{initiallyReduce} &
+\cross{RGCHAIN}{initiallyReduced?} \\
+\cross{RGCHAIN}{initials} &
+\cross{RGCHAIN}{internalAugment} \\
+\cross{RGCHAIN}{intersect} &
+\cross{RGCHAIN}{invertible?} \\
+\cross{RGCHAIN}{invertibleElseSplit?} &
+\cross{RGCHAIN}{invertibleSet} \\
+\cross{RGCHAIN}{last} &
+\cross{RGCHAIN}{lastSubResultant} \\
+\cross{RGCHAIN}{lastSubResultantElseSplit} &
+\cross{RGCHAIN}{latex} \\
+\cross{RGCHAIN}{less?} &
+\cross{RGCHAIN}{mainVariable?} \\
+\cross{RGCHAIN}{mainVariables} &
+\cross{RGCHAIN}{map} \\
+\cross{RGCHAIN}{map!} &
+\cross{RGCHAIN}{member?} \\
+\cross{RGCHAIN}{members} &
+\cross{RGCHAIN}{more?} \\
+\cross{RGCHAIN}{mvar} &
+\cross{RGCHAIN}{normalized?} \\
+\cross{RGCHAIN}{parts} &
+\cross{RGCHAIN}{purelyAlgebraic?} \\
+\cross{RGCHAIN}{purelyAlgebraicLeadingMonomial?} &
+\cross{RGCHAIN}{purelyTranscendental?} \\
+\cross{RGCHAIN}{quasiComponent} &
+\cross{RGCHAIN}{reduce} \\
+\cross{RGCHAIN}{reduceByQuasiMonic} &
+\cross{RGCHAIN}{reduced?} \\
+\cross{RGCHAIN}{remainder} &
+\cross{RGCHAIN}{remove} \\
+\cross{RGCHAIN}{removeDuplicates} &
+\cross{RGCHAIN}{removeZero} \\
+\cross{RGCHAIN}{rest} &
+\cross{RGCHAIN}{retract} \\
+\cross{RGCHAIN}{retractIfCan} &
+\cross{RGCHAIN}{rewriteIdealWithHeadRemainder} \\
+\cross{RGCHAIN}{rewriteIdealWithRemainder} &
+\cross{RGCHAIN}{rewriteSetWithReduction} \\
+\cross{RGCHAIN}{roughBase?} &
+\cross{RGCHAIN}{roughEqualIdeals?} \\
+\cross{RGCHAIN}{roughSubIdeal?} &
+\cross{RGCHAIN}{roughUnitIdeal?} \\
+\cross{RGCHAIN}{sample} &
+\cross{RGCHAIN}{select} \\
+\cross{RGCHAIN}{size?} &
+\cross{RGCHAIN}{sort} \\
+\cross{RGCHAIN}{squareFreePart} &
+\cross{RGCHAIN}{stronglyReduce} \\
+\cross{RGCHAIN}{stronglyReduced?} &
+\cross{RGCHAIN}{triangular?} \\
+\cross{RGCHAIN}{trivialIdeal?} &
+\cross{RGCHAIN}{variables} \\
+\cross{RGCHAIN}{zeroSetSplit} &
+\cross{RGCHAIN}{zeroSetSplitIntoTriangularSystems} \\
+\cross{RGCHAIN}{\#{}?} &
+\cross{RGCHAIN}{?\~{}=?} \\
+\cross{RGCHAIN}{?=?} &
+\end{tabular}
+
 <<domain RGCHAIN RegularChain>>=
 )abbrev domain RGCHAIN RegularChain
 ++ Author: Marc Moreno Maza
@@ -78170,6 +78762,104 @@ o )show RegularTriangularSet
 @
 \pagehead{RegularTriangularSet}{REGSET}
 \pagepic{ps/v103regulartriangularset.ps}{REGSET}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{REGSET}{algebraic?} &
+\cross{REGSET}{algebraicCoefficients?} \\
+\cross{REGSET}{algebraicVariables} &
+\cross{REGSET}{any?} \\
+\cross{REGSET}{augment} &
+\cross{REGSET}{autoReduced?} \\
+\cross{REGSET}{basicSet} &
+\cross{REGSET}{coerce} \\
+\cross{REGSET}{coHeight} &
+\cross{REGSET}{collect} \\
+\cross{REGSET}{collectQuasiMonic} &
+\cross{REGSET}{collectUnder} \\
+\cross{REGSET}{collectUpper} &
+\cross{REGSET}{construct} \\
+\cross{REGSET}{convert} &
+\cross{REGSET}{copy} \\
+\cross{REGSET}{count} &
+\cross{REGSET}{degree} \\
+\cross{REGSET}{empty} &
+\cross{REGSET}{empty?} \\
+\cross{REGSET}{eq?} &
+\cross{REGSET}{eval} \\
+\cross{REGSET}{every?} &
+\cross{REGSET}{extend} \\
+\cross{REGSET}{extendIfCan} &
+\cross{REGSET}{find} \\
+\cross{REGSET}{first} &
+\cross{REGSET}{hash} \\
+\cross{REGSET}{headRemainder} &
+\cross{REGSET}{headReduce} \\
+\cross{REGSET}{headReduced?} &
+\cross{REGSET}{infRittWu?} \\
+\cross{REGSET}{initiallyReduce} &
+\cross{REGSET}{initiallyReduced?} \\
+\cross{REGSET}{initials} &
+\cross{REGSET}{internalAugment} \\
+\cross{REGSET}{internalZeroSetSplit} &
+\cross{REGSET}{intersect} \\
+\cross{REGSET}{invertible?} &
+\cross{REGSET}{invertibleElseSplit?} \\
+\cross{REGSET}{invertibleSet} &
+\cross{REGSET}{last} \\
+\cross{REGSET}{lastSubResultant} &
+\cross{REGSET}{lastSubResultantElseSplit} \\
+\cross{REGSET}{latex} &
+\cross{REGSET}{less?} \\
+\cross{REGSET}{mainVariable?} &
+\cross{REGSET}{mainVariables} \\
+\cross{REGSET}{map} &
+\cross{REGSET}{map!} \\
+\cross{REGSET}{member?} &
+\cross{REGSET}{members} \\
+\cross{REGSET}{more?} &
+\cross{REGSET}{mvar} \\
+\cross{REGSET}{normalized?} &
+\cross{REGSET}{parts} \\
+\cross{REGSET}{preprocess} &
+\cross{REGSET}{purelyAlgebraic?} \\
+\cross{REGSET}{purelyAlgebraicLeadingMonomial?} &
+\cross{REGSET}{purelyTranscendental?} \\
+\cross{REGSET}{quasiComponent} &
+\cross{REGSET}{reduce} \\
+\cross{REGSET}{reduced?} &
+\cross{REGSET}{reduceByQuasiMonic} \\
+\cross{REGSET}{remainder} &
+\cross{REGSET}{remove} \\
+\cross{REGSET}{removeDuplicates} &
+\cross{REGSET}{removeZero} \\
+\cross{REGSET}{rest} &
+\cross{REGSET}{retract} \\
+\cross{REGSET}{retractIfCan} &
+\cross{REGSET}{rewriteIdealWithHeadRemainder} \\
+\cross{REGSET}{rewriteIdealWithRemainder} &
+\cross{REGSET}{rewriteSetWithReduction} \\
+\cross{REGSET}{roughBase?} &
+\cross{REGSET}{roughEqualIdeals?} \\
+\cross{REGSET}{roughSubIdeal?} &
+\cross{REGSET}{roughUnitIdeal?} \\
+\cross{REGSET}{sample} &
+\cross{REGSET}{select} \\
+\cross{REGSET}{size?} &
+\cross{REGSET}{sort} \\
+\cross{REGSET}{squareFreePart} &
+\cross{REGSET}{stronglyReduce} \\
+\cross{REGSET}{stronglyReduced?} &
+\cross{REGSET}{triangular?} \\
+\cross{REGSET}{trivialIdeal?} &
+\cross{REGSET}{variables} \\
+\cross{REGSET}{zeroSetSplit} &
+\cross{REGSET}{zeroSetSplitIntoTriangularSystems} \\
+\cross{REGSET}{\#{}?} &
+\cross{REGSET}{?\~{}=?} \\
+\cross{REGSET}{?=?} &
+\end{tabular}
+
 <<domain REGSET RegularTriangularSet>>=
 )abbrev domain REGSET RegularTriangularSet
 ++ Author: Marc Moreno Maza
@@ -78568,6 +79258,32 @@ RegularTriangularSet(R,E,V,P) : Exports == Implementation where
 \section{domain RESRING ResidueRing}
 \pagehead{ResidueRing}{RESRING}
 \pagepic{ps/v103residuering.ps}{RESRING}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{RESRING}{0} &
+\cross{RESRING}{1} &
+\cross{RESRING}{characteristic} &
+\cross{RESRING}{coerce} &
+\cross{RESRING}{hash} \\
+\cross{RESRING}{latex} &
+\cross{RESRING}{lift} &
+\cross{RESRING}{one?} &
+\cross{RESRING}{recip} &
+\cross{RESRING}{reduce} \\
+\cross{RESRING}{sample} &
+\cross{RESRING}{subtractIfCan} &
+\cross{RESRING}{zero?} &
+\cross{RESRING}{?\~{}=?} &
+\cross{RESRING}{?*?} \\
+\cross{RESRING}{?**?} &
+\cross{RESRING}{?\^{}?} &
+\cross{RESRING}{?+?} &
+\cross{RESRING}{?-?} &
+\cross{RESRING}{-?} \\
+\cross{RESRING}{?=?} &&&&
+\end{tabular}
+
 <<domain RESRING ResidueRing>>=
 )abbrev domain RESRING ResidueRing
 ++ Author: P.Gianni
@@ -78640,6 +79356,68 @@ ResidueRing(F,Expon,VarSet,FPol,LFPol) : Dom  == Body
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{RESULT}{any?} &
+\cross{RESULT}{bag} &
+\cross{RESULT}{coerce} &
+\cross{RESULT}{construct} &
+\cross{RESULT}{convert} \\
+\cross{RESULT}{copy} &
+\cross{RESULT}{count} &
+\cross{RESULT}{dictionary} &
+\cross{RESULT}{entry?} &
+\cross{RESULT}{elt} \\
+\cross{RESULT}{empty} &
+\cross{RESULT}{empty?} &
+\cross{RESULT}{entries} &
+\cross{RESULT}{eq?} &
+\cross{RESULT}{eval} \\
+\cross{RESULT}{every?} &
+\cross{RESULT}{extract!} &
+\cross{RESULT}{fill!} &
+\cross{RESULT}{find} &
+\cross{RESULT}{first} \\
+\cross{RESULT}{hash} &
+\cross{RESULT}{index?} &
+\cross{RESULT}{indices} &
+\cross{RESULT}{insert!} &
+\cross{RESULT}{inspect} \\
+\cross{RESULT}{key?} &
+\cross{RESULT}{keys} &
+\cross{RESULT}{latex} &
+\cross{RESULT}{less?} &
+\cross{RESULT}{map} \\
+\cross{RESULT}{map!} &
+\cross{RESULT}{maxIndex} &
+\cross{RESULT}{member?} &
+\cross{RESULT}{members} &
+\cross{RESULT}{minIndex} \\
+\cross{RESULT}{more?} &
+\cross{RESULT}{parts} &
+\cross{RESULT}{qelt} &
+\cross{RESULT}{qsetelt!} &
+\cross{RESULT}{reduce} \\
+\cross{RESULT}{remove} &
+\cross{RESULT}{remove!} &
+\cross{RESULT}{removeDuplicates} &
+\cross{RESULT}{sample} &
+\cross{RESULT}{search} \\
+\cross{RESULT}{select} &
+\cross{RESULT}{select!} &
+\cross{RESULT}{setelt} &
+\cross{RESULT}{showArrayValues} &
+\cross{RESULT}{showScalarValues} \\
+\cross{RESULT}{size?} &
+\cross{RESULT}{swap!} &
+\cross{RESULT}{table} &
+\cross{RESULT}{\#{}?} &
+\cross{RESULT}{?=?} \\
+\cross{RESULT}{?\~{}=?} &
+\cross{RESULT}{?.?} &&&
+\end{tabular}
+
 <<domain RESULT Result>>=
 )abbrev domain RESULT Result
 ++ Author: Didier Pinchon and Mike Dewar
@@ -78720,6 +79498,26 @@ Result():Exports==Implementation where
 \pagepic{ps/v103rewriterule.ps}{RULE}{1.00}
 {\bf See}\\
 \pageto{Ruleset}{RULESET}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{RULE}{coerce} &
+\cross{RULE}{elt} &
+\cross{RULE}{hash} &
+\cross{RULE}{latex} &
+\cross{RULE}{lhs} \\
+\cross{RULE}{pattern} &
+\cross{RULE}{quotedOperators} &
+\cross{RULE}{retract} &
+\cross{RULE}{retractIfCan} &
+\cross{RULE}{rhs} \\
+\cross{RULE}{rule} &
+\cross{RULE}{suchThat} &
+\cross{RULE}{?.?} &
+\cross{RULE}{?\~{}=?} &
+\cross{RULE}{?=?} 
+\end{tabular}
+
 <<domain RULE RewriteRule>>=
 )abbrev domain RULE RewriteRule
 ++ Rules for the pattern matcher
@@ -78897,6 +79695,32 @@ depending on several "real roots".
 \pagepic{ps/v103rightopenintervalrootcharacterization.ps}{ROIRC}{1.00}
 {\bf See}\\
 \pageto{RealClosure}{RECLOS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ROIRC}{allRootsOf} &
+\cross{ROIRC}{approximate} &
+\cross{ROIRC}{coerce} &
+\cross{ROIRC}{definingPolynomial} &
+\cross{ROIRC}{hash} \\
+\cross{ROIRC}{latex} &
+\cross{ROIRC}{left} &
+\cross{ROIRC}{middle} &
+\cross{ROIRC}{mightHaveRoots} &
+\cross{ROIRC}{negative?} \\
+\cross{ROIRC}{positive?} &
+\cross{ROIRC}{recip} &
+\cross{ROIRC}{refine} &
+\cross{ROIRC}{relativeApprox} &
+\cross{ROIRC}{right} \\
+\cross{ROIRC}{rootOf} &
+\cross{ROIRC}{sign} &
+\cross{ROIRC}{size} &
+\cross{ROIRC}{zero?} &
+\cross{ROIRC}{?=?} \\
+\cross{ROIRC}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain ROIRC RightOpenIntervalRootCharacterization>>=
 )abbrev domain ROIRC RightOpenIntervalRootCharacterization 
 ++ Author: Renaud Rioboo
@@ -79654,6 +80478,96 @@ o )show RomanNumeral
 \pageto{Integer}{INT}
 \pageto{NonNegativeInteger}{NNI}
 \pageto{PositiveInteger}{PI}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{ROMAN}{0} &
+\cross{ROMAN}{1} &
+\cross{ROMAN}{abs} &
+\cross{ROMAN}{addmod} \\
+\cross{ROMAN}{associates?} &
+\cross{ROMAN}{base} &
+\cross{ROMAN}{binomial} &
+\cross{ROMAN}{bit?} \\
+\cross{ROMAN}{characteristic} &
+\cross{ROMAN}{coerce} &
+\cross{ROMAN}{convert} &
+\cross{ROMAN}{copy} \\
+\cross{ROMAN}{D} &
+\cross{ROMAN}{dec} &
+\cross{ROMAN}{differentiate} &
+\cross{ROMAN}{divide} \\
+\cross{ROMAN}{euclideanSize} &
+\cross{ROMAN}{even?} &
+\cross{ROMAN}{expressIdealMember} &
+\cross{ROMAN}{exquo} \\
+\cross{ROMAN}{extendedEuclidean} &
+\cross{ROMAN}{extendedEuclidean} &
+\cross{ROMAN}{factor} &
+\cross{ROMAN}{factorial} \\
+\cross{ROMAN}{gcd} &
+\cross{ROMAN}{gcdPolynomial} &
+\cross{ROMAN}{hash} &
+\cross{ROMAN}{inc} \\
+\cross{ROMAN}{init} &
+\cross{ROMAN}{invmod} &
+\cross{ROMAN}{latex} &
+\cross{ROMAN}{lcm} \\
+\cross{ROMAN}{length} &
+\cross{ROMAN}{mask} &
+\cross{ROMAN}{max} &
+\cross{ROMAN}{min} \\
+\cross{ROMAN}{mulmod} &
+\cross{ROMAN}{multiEuclidean} &
+\cross{ROMAN}{negative?} &
+\cross{ROMAN}{nextItem} \\
+\cross{ROMAN}{odd?} &
+\cross{ROMAN}{one?} &
+\cross{ROMAN}{patternMatch} &
+\cross{ROMAN}{permutation} \\
+\cross{ROMAN}{positive?} &
+\cross{ROMAN}{positiveRemainder} &
+\cross{ROMAN}{powmod} &
+\cross{ROMAN}{prime?} \\
+\cross{ROMAN}{principalIdeal} &
+\cross{ROMAN}{random} &
+\cross{ROMAN}{rational} &
+\cross{ROMAN}{rational?} \\
+\cross{ROMAN}{rationalIfCan} &
+\cross{ROMAN}{recip} &
+\cross{ROMAN}{reducedSystem} &
+\cross{ROMAN}{retract} \\
+\cross{ROMAN}{retractIfCan} &
+\cross{ROMAN}{roman} &
+\cross{ROMAN}{sample} &
+\cross{ROMAN}{shift} \\
+\cross{ROMAN}{sign} &
+\cross{ROMAN}{sizeLess?} &
+\cross{ROMAN}{squareFree} &
+\cross{ROMAN}{squareFreePart} \\
+\cross{ROMAN}{submod} &
+\cross{ROMAN}{subtractIfCan} &
+\cross{ROMAN}{symmetricRemainder} &
+\cross{ROMAN}{unit?} \\
+\cross{ROMAN}{unitCanonical} &
+\cross{ROMAN}{unitNormal} &
+\cross{ROMAN}{zero?} &
+\cross{ROMAN}{?*?} \\
+\cross{ROMAN}{?**?} &
+\cross{ROMAN}{?+?} &
+\cross{ROMAN}{?-?} &
+\cross{ROMAN}{-?} \\
+\cross{ROMAN}{?$<$?} &
+\cross{ROMAN}{?$<=$?} &
+\cross{ROMAN}{?=?} &
+\cross{ROMAN}{?$>$?} \\
+\cross{ROMAN}{?$>=$?} &
+\cross{ROMAN}{?\^{}?} &
+\cross{ROMAN}{?\~{}=?} &
+\cross{ROMAN}{?quo?} \\
+\cross{ROMAN}{?rem?} &&&
+\end{tabular}
+
 <<domain ROMAN RomanNumeral>>=
 )abbrev domain ROMAN RomanNumeral
 ++ Author:
@@ -79704,6 +80618,83 @@ RomanNumeral(): IntegerNumberSystem with
 \section{domain ROUTINE RoutinesTable}
 \pagehead{RoutinesTable}{ROUTINE}
 \pagepic{ps/v103routinestable.ps}{ROUTINE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{ROUTINE}{any?} &
+\cross{ROUTINE}{bag} \\
+\cross{ROUTINE}{changeMeasure} &
+\cross{ROUTINE}{changeThreshhold} \\
+\cross{ROUTINE}{coerce} &
+\cross{ROUTINE}{concat} \\
+\cross{ROUTINE}{construct} &
+\cross{ROUTINE}{convert} \\
+\cross{ROUTINE}{copy} &
+\cross{ROUTINE}{count} \\
+\cross{ROUTINE}{deleteRoutine!} &
+\cross{ROUTINE}{dictionary} \\
+\cross{ROUTINE}{elt} &
+\cross{ROUTINE}{empty} \\
+\cross{ROUTINE}{empty?} &
+\cross{ROUTINE}{entries} \\
+\cross{ROUTINE}{entry?} &
+\cross{ROUTINE}{eq?} \\
+\cross{ROUTINE}{eval} &
+\cross{ROUTINE}{every?} \\
+\cross{ROUTINE}{extract!} &
+\cross{ROUTINE}{fill!} \\
+\cross{ROUTINE}{find} &
+\cross{ROUTINE}{first} \\
+\cross{ROUTINE}{getExplanations} &
+\cross{ROUTINE}{getMeasure} \\
+\cross{ROUTINE}{hash} &
+\cross{ROUTINE}{index?} \\
+\cross{ROUTINE}{indices} &
+\cross{ROUTINE}{insert!} \\
+\cross{ROUTINE}{inspect} &
+\cross{ROUTINE}{key?} \\
+\cross{ROUTINE}{keys} &
+\cross{ROUTINE}{latex} \\
+\cross{ROUTINE}{less?} &
+\cross{ROUTINE}{map} \\
+\cross{ROUTINE}{map!} &
+\cross{ROUTINE}{maxIndex} \\
+\cross{ROUTINE}{member?} &
+\cross{ROUTINE}{members} \\
+\cross{ROUTINE}{minIndex} &
+\cross{ROUTINE}{more?} \\
+\cross{ROUTINE}{parts} &
+\cross{ROUTINE}{qelt} \\
+\cross{ROUTINE}{qsetelt!} &
+\cross{ROUTINE}{recoverAfterFail} \\
+\cross{ROUTINE}{reduce} &
+\cross{ROUTINE}{remove} \\
+\cross{ROUTINE}{remove!} &
+\cross{ROUTINE}{removeDuplicates} \\
+\cross{ROUTINE}{routines} &
+\cross{ROUTINE}{sample} \\
+\cross{ROUTINE}{search} &
+\cross{ROUTINE}{select} \\
+\cross{ROUTINE}{select!} &
+\cross{ROUTINE}{selectFiniteRoutines} \\
+\cross{ROUTINE}{selectIntegrationRoutines} &
+\cross{ROUTINE}{selectNonFiniteRoutines} \\
+\cross{ROUTINE}{selectMultiDimensionalRoutines} &
+\cross{ROUTINE}{selectODEIVPRoutines} \\
+\cross{ROUTINE}{selectOptimizationRoutines} &
+\cross{ROUTINE}{selectPDERoutines} \\
+\cross{ROUTINE}{selectSumOfSquaresRoutines} &
+\cross{ROUTINE}{setelt} \\
+\cross{ROUTINE}{showTheRoutinesTable} &
+\cross{ROUTINE}{size?} \\
+\cross{ROUTINE}{swap!} &
+\cross{ROUTINE}{table} \\
+\cross{ROUTINE}{\#{}?} &
+\cross{ROUTINE}{?=?} \\
+\cross{ROUTINE}{?\~{}=?} &
+\cross{ROUTINE}{?.?} 
+\end{tabular}
+
 <<domain ROUTINE RoutinesTable>>=
 )abbrev domain ROUTINE RoutinesTable
 ++ Author: Brian Dupee
@@ -80093,6 +81084,17 @@ RoutinesTable(): E == I where
 \section{domain RULECOLD RuleCalled}
 \pagehead{RuleCalled}{RULECOLD}
 \pagepic{ps/v103rulecalled.ps}{RULECOLD}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llllll}
+\cross{RULECOLD}{coerce} &
+\cross{RULECOLD}{hash} &
+\cross{RULECOLD}{latex} &
+\cross{RULECOLD}{name} &
+\cross{RULECOLD}{?=?} &
+\cross{RULECOLD}{?\~{}=?} 
+\end{tabular}
+
 <<domain RULECOLD RuleCalled>>=
 )abbrev domain RULECOLD RuleCalled
 ++ Description:
@@ -80119,6 +81121,20 @@ RuleCalled(f:Symbol): SetCategory with
 \pagepic{ps/v103ruleset.ps}{RULESET}{1.00}
 {\bf See}\\
 \pageto{RewriteRule}{RULE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{RULESET}{coerce} &
+\cross{RULESET}{elt} &
+\cross{RULESET}{hash} &
+\cross{RULESET}{latex} &
+\cross{RULESET}{rules} \\
+\cross{RULESET}{ruleset} &
+\cross{RULESET}{?=?} &
+\cross{RULESET}{?\~{}=?} &
+\cross{RULESET}{?.?} &
+\end{tabular}
+
 <<domain RULESET Ruleset>>=
 )abbrev domain RULESET Ruleset
 ++ Sets of rules for the pattern matcher
diff --git a/changelog b/changelog
index 0ae872c..0f6549d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090117 tpd src/axiom-website/patches.html 20090117.01.tpd.patch
+20090117 tpd books/bookvol10.3 add exports
 20090116 tpd src/axiom-website/patches.html 20090116.03.tpd.patch
 20090116 tpd books/bookvol10.3 add exports
 20090116 tpd src/axiom-website/patches.html 20090116.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5ed39a1..51a0b36 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -887,6 +887,8 @@ bookvol10.3 add exports<br/>
 bookvol10.3 add exports<br/>
 <a href="patches/20090116.03.tpd.patch">20090116.03.tpd.patch</a>
 bookvol10.3 add exports<br/>
+<a href="patches/20090117.01.tpd.patch">20090117.01.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
